<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Forms Task 1</title>
  <script>
    /*
      Задание:
        Сделать валидацию формы:
        1. Логин / Пароль не может быть пустым
        2. Пароли должны совпадть
        3. Пока не стоит что юзер согласен с лиц. соглашением - кнопка отправки не активна

        + бонус - то поле, которое не прошло валидацию подсвечивать красным.
                - которое прошло - подсвечивать зеленым.
    */
  </script>
</head>
<body>
  <form  id="MyValidateForm">
    <input type="text" name='login' placeholder="Ваш логин" />
    <input type="password" name='pas1' placeholder="Ваш пароль" />
    <input type="password" name='pas2' placeholder="Повторите пароль" />
    <label for="agree">
      <span>Вы согласны с лицензионым соглашением.</span>
      <input type="checkbox" id="agree" />
    </label>
    <input type="submit" id="submit" value="Отправить"/>
  </form>

  <style>
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .error{
        border: 1px solid red;
    }
    .OK{
        border: 1px solid green;
    }
  </style>

  <script>
    var validateForm = document.getElementById('MyValidateForm');
    var check = document.getElementById('agree');
    var sub = document.getElementById('submit');
    
    sub.disabled = true;


      check.addEventListener ('click', function(i){
       if(check.checked){
      sub.removeAttribute('disabled')
    }
    else {
      sub.disabled = true;
      } 
    }
      )




    validateForm.addEventListener('submit', function(e){
      e.preventDefault();

    var arr = Array.from(validateForm.elements);
    arr.forEach(function(el){

        if(el.type ==='text' || el.type ==='password'){
          if(el.value ===''){
            el.classList.remove('OK')
            el.classList.add('error')
          }
          else{
            el.classList.add('OK')
        }
        }
      if(validateForm.pas1.value === validateForm.pas2.value &&( validateForm.pas1.value !=''|| validateForm.pas2.value != '')){
        validateForm.pas1.classList.add('OK');
        validateForm.pas2.classList.add('OK');
     }
       else{
        validateForm.pas1.classList.remove('OK');
        validateForm.pas2.classList.remove('OK');
        validateForm.pas1.classList.add('error');
        validateForm.pas2.classList.add('error');
    }
      })

   
    }
  )
    
  </script>
</body>
</html>
